Package org.silverpeas.sso.saml.settings

# Class SamlSettings

java.lang.Object
org.silverpeas.sso.saml.settings.SamlSettings

public class SamlSettings extends Object

Author:
  silveryocha

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getArtifactResolutionServiceUrl(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the Artifact Resolution Service URL.
  `static String`
  `getAssertionConsumerServiceUrl(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the Assertion Consumer Service URL.
  `static String`
  `getAuthnContextClass(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the class to use for authentication context.
  `static org.opensaml.saml.saml2.core.AuthnContextComparisonTypeEnumeration`
  `getAuthnContextComparison(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the comparison method to use for authentication context.
  `static String`
  `getEntityId(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the entity identifier.
  `static org.opensaml.security.credential.Credential`
  `getIdpCredential(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the IDP credential.
  `static String`
  `getSilverpeasDomainId(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the domain id identifier from given request, or from default settings if none.
  `static Stream<org.silverpeas.core.admin.domain.DomainType>`
  `getSilverpeasDomainTypes()`
  Gets the silverpeas's domain types the SSO is linked to.
  `static Optional<org.opensaml.security.credential.Credential>`
  `getSpCredential(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the SP credential.
  `static String`
  `getSsoServiceUrl(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Gets the SSO SAML URL.
  `static boolean`
  `isNotBeforeAssertionConditionEnabled(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Indicates if the 'notBefore' condition is enabled for assertion.
  `static boolean`
  `isNotOnOrAfterAssertionConditionEnabled(jakarta.servlet.http.HttpServletRequest httpRequest)`
  Indicates if the 'notOnOrAfter' condition is enabled for assertion.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getSilverpeasDomainTypes

    public static Stream<org.silverpeas.core.admin.domain.DomainType> getSilverpeasDomainTypes()
    Gets the silverpeas's domain types the SSO is linked to.
    Returns:
      a Stream of `DomainType`.

  - ### getSilverpeasDomainId

    public static String getSilverpeasDomainId(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the domain id identifier from given request, or from default settings if none.
    Returns:
      a string.

  - ### getSsoServiceUrl

    public static String getSsoServiceUrl(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the SSO SAML URL.
    Returns:
      a string.

  - ### getAssertionConsumerServiceUrl

    public static String getAssertionConsumerServiceUrl(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the Assertion Consumer Service URL.
    Returns:
      a string.

  - ### getArtifactResolutionServiceUrl

    public static String getArtifactResolutionServiceUrl(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the Artifact Resolution Service URL.
    Returns:
      a string.

  - ### isNotBeforeAssertionConditionEnabled

    public static boolean isNotBeforeAssertionConditionEnabled(jakarta.servlet.http.HttpServletRequest httpRequest)
    Indicates if the 'notBefore' condition is enabled for assertion.
    Returns:
      true if enabled, false otherwise.

  - ### isNotOnOrAfterAssertionConditionEnabled

    public static boolean isNotOnOrAfterAssertionConditionEnabled(jakarta.servlet.http.HttpServletRequest httpRequest)
    Indicates if the 'notOnOrAfter' condition is enabled for assertion.
    Returns:
      true if enabled, false otherwise.

  - ### getEntityId

    public static String getEntityId(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the entity identifier.
    Returns:
      a string.

  - ### getSpCredential

    public static Optional<org.opensaml.security.credential.Credential> getSpCredential(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the SP credential.
    Returns:
      a string.

  - ### getIdpCredential

    public static org.opensaml.security.credential.Credential getIdpCredential(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the IDP credential.
    Returns:
      a string.

  - ### getAuthnContextComparison

    public static org.opensaml.saml.saml2.core.AuthnContextComparisonTypeEnumeration getAuthnContextComparison(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the comparison method to use for authentication context.

    If not defined, `AuthnContextComparisonTypeEnumeration.MINIMUM` is taken into account.

    Returns:
      a `AuthnContextComparisonTypeEnumeration` instance.

  - ### getAuthnContextClass

    public static String getAuthnContextClass(jakarta.servlet.http.HttpServletRequest httpRequest)
    Gets the class to use for authentication context.

    If not defined, `AuthnContext.PASSWORD_AUTHN_CTX` is taken into account.

    Returns:
      a `AuthnContext` constant about class.